/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_EXT_ASIACEDCONTACTDATA_H
#define __RTK_EXT_ASIACEDCONTACTDATA_H

/** @file AsiaCEDContactData.h
 *  @brief Definition of AsiaCEDContactData and AsiaCEDContactData_ref
 *  @author Anna Simbirtsev 
 */

#include "epp-rtk-cpp/config.h"
#include "epp-rtk-cpp/data/epp_eppdata.h"

namespace eppobject { namespace epp {
   
    class AsiaCEDContactData {
       
    public:
        eppobject::epp::epp_boolean_ref m_chg; 
        eppobject::epp::epp_string_ref m_ccLocality;
        eppobject::epp::epp_string_ref m_localitySp;
        eppobject::epp::epp_string_ref m_localityCity;
        eppobject::epp::epp_string_ref m_legalEntityType;
        eppobject::epp::epp_string_ref m_identForm;
        eppobject::epp::epp_string_ref m_identNumber;
        eppobject::epp::epp_string_ref m_otherLEType;
        eppobject::epp::epp_string_ref m_otherIdentForm;
      
        AsiaCEDContactData() {
            m_chg.ref(new epp_boolean(false));
        };
        virtual ~AsiaCEDContactData() {};
    };  // end class definition

    typedef refcnt_ptr<AsiaCEDContactData> AsiaCEDContactData_ref;
}}  // end namespaces

#endif
