#ifndef __ASIACONTACT_H
#define __ASIACONTACT_H

/** @file AsiaContact.h
 *  @brief Definition of AsiaContact and AsiaContact_ref
 *  @author Anna Simbirtsev 
 */

namespace eppobject { namespace epp {

   /// Class containing information about the human or organizational
   /// social information object associated with an asia object
   class AsiaContact {

    public:
      eppobject::epp::epp_string_ref m_type; /**< Type of asia contact */
      eppobject::epp::epp_string_ref m_contact; /**< asia contact */

       /// Null constructor
      AsiaContact() {};

      /// Destructor
      virtual ~AsiaContact() {};

      /// Constructor, using simple types when it can
      /// @note Cannot set simple types to NULL
      AsiaContact(const eppobject::epp::epp_string & _m_type,
                        const eppobject::epp::epp_string & _m_contact)
        {
           m_type.ref(new eppobject::epp::epp_string(_m_type));
           m_contact.ref(new eppobject::epp::epp_string(_m_contact));
        };

      /// Constructor, using only references
      AsiaContact(const eppobject::epp::epp_string_ref & _m_type,
                        const eppobject::epp::epp_string_ref & _m_contact)
        {
           m_type = _m_type;
           m_contact = _m_contact;
        };
   };

   /// Typedef for the ref to the DomainContact class
   typedef refcnt_ptr<AsiaContact> AsiaContact_ref;

}}

#endif

