/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_EXT_ENSINFO_H
#define __RTK_EXT_ENSINFO_H

/** @file EnsInfo.h
 *  @brief Definition of EnsInfo and EnsInfo_ref
 */

#include "epp-rtk-cpp/config.h"
#include "epp-rtk-cpp/data/epp_eppdata.h"

namespace eppobject { namespace epp {
   
    class EnsInfo {
       
    public:
        eppobject::epp::epp_string_seq_ref m_ens_class_;
        eppobject::epp::epp_string_ref m_registrantGroup;
        eppobject::epp::epp_string_ref m_ensO;
        eppobject::epp::epp_string_ref m_requestType;
        eppobject::epp::epp_string_ref m_registrationType;
        eppobject::epp::epp_string_ref m_credentialsType;
        eppobject::epp::epp_string_ref m_credentialsValue;
        eppobject::epp::epp_string_ref m_codeValue;
        eppobject::epp::epp_string_ref m_uniqueIdentifier;
        eppobject::epp::epp_string_ref m_lastCheckedDate;
      
        EnsInfo() { };
        virtual ~EnsInfo() {};
    };  // end class definition

    typedef refcnt_ptr<EnsInfo> EnsInfo_ref;
}}  // end namespaces

#endif
