/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_EXT_IPRDATA_H
#define __RTK_EXT_IPRDATA_H

/** @file IprData.h
 *  @brief Definition of IprData and IprData_ref
 *  @author Anna Simbirtsev 
 */

#include "epp-rtk-cpp/config.h"
#include "epp-rtk-cpp/data/epp_eppdata.h"

namespace eppobject { namespace epp {
   
    class IprData {
       
    public:
        eppobject::epp::epp_string_ref m_name;
        eppobject::epp::epp_string_ref m_number;
        eppobject::epp::epp_string_ref m_country;
        eppobject::epp::epp_string_ref m_reg_date;
        eppobject::epp::epp_string_ref m_app_date; 
        eppobject::epp::epp_string_ref m_class;
        eppobject::epp::epp_string_ref m_entitlement;
        eppobject::epp::epp_string_ref m_form;
        eppobject::epp::epp_string_ref m_type;
        eppobject::epp::epp_string_ref m_preVerified; 
      
        IprData() {};
        virtual ~IprData() {};
    };  // end class definition

    typedef refcnt_ptr<IprData> IprData_ref;
}}  // end namespaces

#endif
