/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 LibertyRMS
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_ADDON_OxrsDomain_H
#define __RTK_ADDON_OxrsDomain_H

/** @file OxrsDomain.h
 *  @brief Definition of OxrsDomain and OxrsDomain_ref
 *  @author Anna Simbirtsev 
 */

#include <string>
#include "epp-rtk-cpp/data/epp_eppdata.h"
#include "epp-rtk-cpp/data/epp_domaindata.h"
#include "epp-rtk-cpp/epp_Extension.h"

namespace eppobject { namespace epp {

    class OxrsDomain : public epp_Extension {
        public:
            eppobject::epp::epp_string_ref m_command;
            eppobject::epp::epp_string_ref m_maintainerUrl;
            eppobject::epp::epp_string_ref m_domainRoid;

            eppobject::epp::epp_boolean_ref m_chg;            

        public:
            OxrsDomain() { };

            virtual ~OxrsDomain() {};

            OxrsDomain(const eppobject::epp::epp_string & _m_command,
                       const eppobject::epp::epp_string & _m_maintainerUrl,
                       const eppobject::epp::epp_string & _m_domainRoid,
                       const eppobject::epp::epp_boolean & _m_chg) {
                  m_command.ref(new eppobject::epp::epp_string(_m_command));
                  m_maintainerUrl.ref(new eppobject::epp::epp_string(_m_maintainerUrl));
                  m_domainRoid.ref(new eppobject::epp::epp_string(_m_domainRoid));
                  m_chg.ref(new eppobject::epp::epp_boolean(_m_chg));
            };

            OxrsDomain(const eppobject::epp::epp_string_ref & _m_command,
                       const eppobject::epp::epp_string_ref & _m_maintainerUrl,
                       const eppobject::epp::epp_string_ref & _m_domainRoid,
                       const eppobject::epp::epp_boolean_ref & _m_chg) {
                  m_command = _m_command;
                  m_maintainerUrl = _m_maintainerUrl;
                  m_domainRoid = _m_domainRoid;
                  m_chg = _m_chg;
            };
  
            virtual eppobject::epp::epp_string toXML();

            virtual void fromXML(const eppobject::epp::epp_string & xml);

    };  // end class definition

    typedef refcnt_ptr<OxrsDomain> OxrsDomain_ref;

}};  // end namespaces

#endif
