/************************************************************************
* EPP RTK C++ OxrsProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#include "OxrsProtocol.h"
#include "epp-rtk-cpp/data/epp_domainXMLbase.h"
#include "domtools/dom_wrapper.h"

using namespace std;
using namespace domtools;
using namespace eppobject::domain;

eppobject::epp::epp_string OxrsProtocol::toXML()
{
    return "";
}
      
void OxrsProtocol::fromXML(const eppobject::epp::epp_string & xml)
{

#ifdef RTK_DEBUG
    cerr << "entered OxrsProtocol::fromXML() ["<<xml<<"]"<<endl;
#endif

    dom_ptr doc = eppobject::epp::createDOMDocument("<parseme xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">"+
                                                     xml + "</parseme>");

    if ( ! doc->isNull() ) {

#ifdef RTK_DEBUG
        cerr << "got a document out of the extension xml"<<endl;
#endif
        dom_ptr infDataNode = dom_ptr(doc->getFirstChildElement()->getFirstChildElement());

        if ( ! infDataNode->isNull() ) {

#ifdef RTK_DEBUG
            cerr << "got infDataNode ["<<infDataNode->getNodeName()<<"]"<<endl;
#endif
            dom_ptr protocolNode = dom_ptr(infDataNode->getFirstChildElement());

            if ( ! protocolNode->isNull() ) {
                m_protocol.ref(new eppobject::epp::epp_string(protocolNode->getNodeData()));
#ifdef RTK_DEBUG
                cerr << "got protocolNode ["<<*m_protocol<<"]"<<endl;
#endif
            }

        } // endif for trademark node
    }

}


