/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 LibertyRMS
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_ADDON_IDN_H
#define __RTK_ADDON_IDN_H

/** @file Rgp.h
 *  @brief Definition of Rgp and Rgp_ref
 */

#include <string>
#include "epp-rtk-cpp/data/epp_eppdata.h"
#include "epp-rtk-cpp/data/epp_domaindata.h"
#include "epp-rtk-cpp/data/epp_DomainContact.h"
#include "epp-rtk-cpp/epp_Extension.h"
#include "RgpReportData.h"

namespace eppobject { namespace epp {
   
   class Rgp : public epp_Extension {
    public:
            eppobject::epp::epp_string_ref m_command;
            eppobject::epp::epp_string_ref m_restore_op;
            std::vector <epp_string> m_rgp_statuses;
            eppobject::epp::RgpReportData_ref m_rgp_report_data;

    public:
        Rgp() {};

        virtual ~Rgp() {};
      
        virtual eppobject::epp::epp_string toXML();

        virtual void fromXML(const eppobject::epp::epp_string & xml);

    };  // end class definition

    typedef refcnt_ptr<Rgp> Rgp_ref;
   
}}  // end namespaces

#endif
