/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_EXT_SECDNSCREATE_H
#define __RTK_EXT_SECDNSCREATE_H

/** @file SecDNSCreate.h
 *  @brief Definition of SecDNSCreate and SecDNSCreate_ref
 *  @author Frank Thompson
 */

#include <vector>
#include "epp-rtk-cpp/data/epp_eppdata.h"
#include "epp-rtk-cpp/epp_Extension.h"
#include "SecDNSDsData.h"

namespace eppobject { namespace domain {
   
    class SecDNSCreate : public eppobject::epp::epp_Extension {
    public:
        eppobject::domain::SecDNSDsData_seq_ref m_ds_data; 
      
    public:
        SecDNSCreate() {};
        virtual ~SecDNSCreate() {};
      
        eppobject::epp::epp_string toXML();

        void fromXML(const eppobject::epp::epp_string & xml);

    };  // end class definition

    typedef refcnt_ptr<SecDNSCreate> SecDNSCreate_ref;
   
}}  // end namespaces

#endif
