/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#include "domtools/dom_output.h"
#include "domtools/dom_wrapper.h"
#include "epp-rtk-cpp/ltoa.h"
#include "epp-rtk-cpp/config.h"
#include "epp-rtk-cpp/data/epp_domainXMLbase.h"
#include "SecDNSDsData.h"

using namespace std;
using namespace domtools;
using namespace eppobject::domain;
using namespace eppobject::epp;

void SecDNSDsData::toXML(EPP_output & xml_request)
{
#ifdef RTK_DEBUG
    cout << "SecDNSDsData::toXML(): entered []"<<endl;
#endif

    xml_request.beginTag("secDNS:dsData");

    if (m_ds_key_tag != NULL) xml_request.putTag("secDNS:keyTag",ltoa(*m_ds_key_tag));
    if (m_ds_alg != NULL) xml_request.putTag("secDNS:alg",ltoa(*m_ds_alg));
    if (m_ds_digest_type != NULL) xml_request.putTag("secDNS:digestType",ltoa(*m_ds_digest_type));
    if (m_ds_digest != NULL) xml_request.putTag("secDNS:digest",*m_ds_digest);
    if (m_ds_max_sig_life != NULL) xml_request.putTag("secDNS:maxSigLife",ltoa(*m_ds_max_sig_life));
    if (m_ds_key_data != NULL) m_ds_key_data->toXML(xml_request);

    xml_request.endTag("secDNS:dsData");

#ifdef RTK_DEBUG
    cout << "SecDNSDsData::toXML(): leaving ["<<xml_request.getString()<<"]"<<endl;
#endif
}
