/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_EXT_SECDNSDSDATA_H
#define __RTK_EXT_SECDNSDSDATA_H

/** @file SecDNSDsData.h
 *  @brief Definition of SecDNSDsData and SecDNSDsData_ref
 *  @author Frank Thompson
 */

#include "epp-rtk-cpp/config.h"
#include "epp-rtk-cpp/data/epp_eppdata.h"
#include "SecDNSKeyData.h"

namespace eppobject { namespace domain {
   
    class SecDNSDsData {
       
    public:
        eppobject::epp::epp_long_ref m_ds_key_tag;
        eppobject::epp::epp_short_ref m_ds_alg;
        eppobject::epp::epp_short_ref m_ds_digest_type;
        eppobject::epp::epp_string_ref m_ds_digest;
        eppobject::epp::epp_long_ref m_ds_max_sig_life;
        SecDNSKeyData_ref m_ds_key_data;
      
        SecDNSDsData() {};
        virtual ~SecDNSDsData() {};

        SecDNSDsData(
            const eppobject::epp::epp_long_ref _m_ds_key_tag, 
            const eppobject::epp::epp_short_ref _m_ds_alg,
            const eppobject::epp::epp_short_ref _m_ds_digest_type,
            const eppobject::epp::epp_string_ref _m_ds_digest,
            const eppobject::epp::epp_long_ref _m_ds_max_sig_life,
            const SecDNSKeyData_ref _m_ds_key_data)
        {
            m_ds_key_tag = _m_ds_key_tag;
            m_ds_alg = _m_ds_alg;
            m_ds_digest_type = _m_ds_digest_type;
            m_ds_digest = _m_ds_digest;
            m_ds_max_sig_life = _m_ds_max_sig_life;
            m_ds_key_data = _m_ds_key_data;
        }

        void toXML(eppobject::epp::EPP_output & xml_request);
     
    };  // end class definition

    typedef refcnt_ptr<SecDNSDsData> SecDNSDsData_ref;

    typedef std::vector<SecDNSDsData> SecDNSDsData_seq;
    typedef refcnt_ptr<SecDNSDsData_seq> SecDNSDsData_seq_ref;
   
    typedef std::vector<eppobject::epp::epp_long> key_tag_seq;   
    typedef refcnt_ptr<key_tag_seq> key_tag_seq_ref;
   
}}  // end namespaces

#endif
