/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#include "domtools/dom_output.h"
#include "domtools/dom_wrapper.h"
#include "epp-rtk-cpp/ltoa.h"
#include "epp-rtk-cpp/config.h"
#include "epp-rtk-cpp/data/epp_domainXMLbase.h"
#include "SecDNSKeyData.h"

using namespace std;
using namespace domtools;
using namespace eppobject::domain;
using namespace eppobject::epp;

void SecDNSKeyData::toXML(EPP_output & xml_request)
{
#ifdef RTK_DEBUG
    cout << "SecDNSKeyData::toXML(): entered []"<<endl;
#endif

    xml_request.beginTag("secDNS:keyData");

    if (m_ds_flags != NULL) xml_request.putTag("secDNS:flags",ltoa(*m_ds_flags));
    if (m_ds_protocol != NULL) xml_request.putTag("secDNS:protocol",ltoa(*m_ds_protocol));
    if (m_ds_alg != NULL) xml_request.putTag("secDNS:alg",ltoa(*m_ds_alg));
    if (m_ds_pub_key != NULL) xml_request.putTag("secDNS:pubKey",*m_ds_pub_key);

    xml_request.endTag("secDNS:keyData");

#ifdef RTK_DEBUG
    cout << "SecDNSKeyData::toXML(): leaving ["<<xml_request.getString()<<"]"<<endl;
#endif
}
