/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_EXT_SECDNSKEYDATA_H
#define __RTK_EXT_SECDNSKEYDATA_H

/** @file SecDNSKeyData.h
 *  @brief Definition of SecDNSKeyData and SecDNSKeyData_ref
 *  @author Frank Thompson
 */

#include "epp-rtk-cpp/config.h"
#include "epp-rtk-cpp/data/epp_eppdata.h"

namespace eppobject { namespace domain {
   
    class SecDNSKeyData {
    public:
        eppobject::epp::epp_short_ref m_ds_flags;
        eppobject::epp::epp_short_ref m_ds_protocol;
        eppobject::epp::epp_short_ref m_ds_alg;
        eppobject::epp::epp_string_ref m_ds_pub_key;
      
        SecDNSKeyData() {};
        virtual ~SecDNSKeyData() {};

        SecDNSKeyData(
            const eppobject::epp::epp_short_ref _m_ds_flags, 
            const eppobject::epp::epp_short_ref _m_ds_protocol,
            const eppobject::epp::epp_short_ref _m_ds_alg,
            const eppobject::epp::epp_string_ref _m_ds_pub_key)
        {
            m_ds_flags = _m_ds_flags;
            m_ds_protocol = _m_ds_protocol;
            m_ds_alg = _m_ds_alg;
            m_ds_pub_key = _m_ds_pub_key;
        }
        
        void toXML(eppobject::epp::EPP_output & xml_request);

    };  // end class definition
   
    typedef refcnt_ptr<SecDNSKeyData> SecDNSKeyData_ref;
      
}}  // end namespaces

#endif
