/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 Afilias
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_EXT_SECDNSUPDATE_H
#define __RTK_EXT_SECDNSUPDATE_H

/** @file SecDNSUpdate.h
 *  @brief Definition of SecDNSUpdate and SecDNSUpdate_ref
 *  @author Frank Thompson
 */

#include "epp-rtk-cpp/data/epp_eppdata.h"
#include "epp-rtk-cpp/epp_Extension.h"
#include "SecDNSUpdateAdd.h"
#include "SecDNSUpdateRem.h"
#include "SecDNSUpdateChg.h"

namespace eppobject { namespace domain {
   
    class SecDNSUpdate : public eppobject::epp::epp_Extension {
    public:
        SecDNSUpdateAdd_ref m_add; 
        SecDNSUpdateRem_ref m_rem; 
        SecDNSUpdateChg_ref m_chg; 
        bool m_urgent;
      
    public:
        SecDNSUpdate() {};
        virtual ~SecDNSUpdate() {};
      
        eppobject::epp::epp_string toXML();

        void fromXML(const eppobject::epp::epp_string & xml);

    };  // end class definition

    typedef refcnt_ptr<SecDNSUpdate> SecDNSUpdate_ref;
   
}}  // end namespaces

#endif
