/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 LibertyRMS
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#include <memory>
#include "domtools/dom_wrapper.h"
#include "epp-rtk-cpp/data/epp_XMLException.h"
#include "epp-rtk-cpp/data/epp_eppXMLbase.h"
#include "epp-rtk-cpp/config.h"
#include "TestNumber.h"

using namespace std;
using namespace domtools;
using namespace eppobject::domain;
using namespace eppobject::epp;

eppobject::epp::epp_string TestNumber::toXML()
{
#ifdef RTK_DEBUG
    cout << "TestNumber::toXML(): entered ["<<*m_test_num<<"]"<<endl;
#endif

    if (m_test_num == NULL ) {
        throw epp_XMLException(__FILE__, __LINE__, "Missing test number value"); 
    }

    EPP_output xml_request;
    xml_request.setWhitespace(Whitespace);

    xml_request.putTag("testnum",*m_test_num);

#ifdef RTK_DEBUG
    cout << "TestNumber::toXML(): leaving ["<<xml_request.getString()<<"]"<<endl;
#endif
    return xml_request.getString();
}
     
void TestNumber::fromXML(const eppobject::epp::epp_string & xml)
{
#ifdef RTK_DEBUG
    cerr << "entered TestNumber::fromXML() ["<<xml<<"]"<<endl;
#endif

    DOM_Document doc = createDOM_Document("<parseme xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">"+xml+"</parseme>");

    DOM_Node parsemeNode = getSingleTag(doc, "parseme");
    if(parsemeNode.isNull())
    {
        throw epp_XMLException(__FILE__, __LINE__, "Unable to get parseme node");
    }
     
    DOM_Node testnumNode = ((DOM_Element*)&parsemeNode)->getElementsByTagName("testnum").item(0);
    
    if (testnumNode.isNull()) {
        throw epp_XMLException(__FILE__, __LINE__, "Empty parsme -- no testnum extension to parse");
    }

    string testnum;
    getNodeData(testnumNode, testnum);
    m_test_num.ref(new epp_string(testnum));
}
