/************************************************************************
* EPP RTK C++ DomainProtocol Extension for .org
* Copyright (C) 2003 LibertyRMS
* 
* This library is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as published
* by the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
************************************************************************/

#ifndef __RTK_ADDON_TRADEMARK_H
#define __RTK_ADDON_TRADEMARK_H

/** @file Trademark.h
 *  @brief Definition of Trademark and Trademark_ref
 *  @author Daniel Manley
 */

#include <string>
#include "epp-rtk-cpp/data/epp_eppdata.h"
#include "epp-rtk-cpp/data/epp_domaindata.h"
#include "epp-rtk-cpp/data/epp_DomainContact.h"
#include "epp-rtk-cpp/epp_Extension.h"
#include "TrademarkData.h"

namespace eppobject { namespace epp {

    class Trademark : public epp_Extension {
        public:
            eppobject::epp::epp_string_ref m_command; 
            eppobject::epp::epp_string_ref m_tld; 
            eppobject::epp::TrademarkData_ref m_trademark_data;

        public:
            Trademark() { };

            virtual ~Trademark() {};

            virtual eppobject::epp::epp_string toXML();

            virtual void fromXML(const eppobject::epp::epp_string & xml);

    };  // end class definition

    typedef refcnt_ptr<Trademark> Trademark_ref;

}}  // end namespaces

#endif
