/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __ASIADATA_H
#define __ASIADATA_H

/** @file asiadata.h
 *  @brief Declaration of enums/typedefs used in asia objects
 *  @author Anna Simbirtsev 
 */

#include "epp-rtk-cpp/data/epp_eppdata.h"
#include <vector>
#include "AsiaContact.h"

namespace eppobject { namespace epp {

   /******************************************
    *                                        *
    *              Pure typedefs             *
    *                                        *
    ******************************************/
   
   class AsiaContact; // Forward declaration...
   
   /// Typedef for a sequence of #AsiaContact elements
   typedef std::vector<AsiaContact> asia_contact_seq;
   
   /// Typedef for the ref to #asia_contact_seq
   typedef refcnt_ptr<asia_contact_seq> asia_contact_seq_ref;

}}
#endif
