#!/bin/bash

USAGE="usage: $0 version $1 OxrsTransferExample|DomainProtocolExample|IDNExample|IDNGUIExample|oldIDNGUIExample|TrademarkExample|TrademarkSessionExample|RGPRenewExample|TestNumberExample|SecDNSExample|AeroSessionExample|AsiaSessionExample|AsiaCEDContactSessionExample|IprSessionExample|RgpSessionExample  epp_host_name epp_host_port epp_client_id epp_password ..."

VERSION=$1
EXAMPLE_CLASS=$2
EPP_HOST=$3
EPP_PORT=$4
CLIENT_ID=$5
PASSWORD=$6

shift 6

if [ "$RTK_HOME" = "" ] ; then
  echo You must set RTK_HOME to point to the RTK installation directory
  exit 1
fi

if [ "$ADDON_HOME" = "" ] ; then
  echo You must set ADDON_HOME to point to the Afilias Addon installation directory
  exit 1
fi

if [ "$VERSION" = "" ] ; then
  echo You must set version to point which epp version will be used
  exit 1
fi
if [ "$EXAMPLE_CLASS" = "" ] ; then
  echo $USAGE
  exit 1
fi

case $VERSION in 
    "02")
    EXAMPLE_PACKAGE="addon.example";;
    "0705")
    EXAMPLE_PACKAGE="extension.epp0705.example";;
    "rtk")
    EXAMPLE_PACKAGE="extension.epprtk.example";;
    *)
    echo version must be 02, 0705 or rtk
    exit 1
esac

ADDON_JAR=$ADDON_HOME/java/lib/liberty-rtk-addon.jar
if [ "$EXAMPLE_CLASS" = "oldIDNGUIExample" ] ; then
  ADDON_JAR=$ADDON_HOME/java/lib/liberty-rtk-addon-legacy.jar
  EXAMPLE_CLASS=IDNGUIExample
fi

java -Dssl.props.location=$RTK_HOME/java/ssl \
     -Drtk.props.file=$RTK_HOME/java/etc/rtk.properties \
     -cp $RTK_HOME/java/lib/xerces.jar:$RTK_HOME/java/lib/regexp.jar:$RTK_HOME/java/lib/log4j.jar:$RTK_HOME/java/lib/bcprov-jdk14-115.jar:$RTK_HOME/java/lib/epp-rtk-java.jar:$ADDON_JAR:$ADDON_HOME/java/lib/IDNSDK.jar \
     com.liberty.rtk.$EXAMPLE_PACKAGE.$EXAMPLE_CLASS \
         $EPP_HOST $EPP_PORT $CLIENT_ID $PASSWORD $*
