/*
**
** EPP RTK Java
** Copyright (C) 2003, Liberty Registry Management Services, Inc.
**
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.
** 
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.
** 
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
** 
*/

/*
 * $Header: /cvsroot/epp-rtk/liberty-rtk-addon/java/src/com/liberty/rtk/extension/epprtk/SecDNSRem.java,v 1.1 2005/09/22 17:13:32 fotsoft Exp $
 * $Revision: 1.1 $
 * $Date: 2005/09/22 17:13:32 $
 */

package com.liberty.rtk.extension.epprtk;

import java.io.*;
import java.util.*;
import java.text.*;

import com.tucows.oxrs.epprtk.rtk.*;
import com.tucows.oxrs.epprtk.rtk.xml.*;
import org.openrtk.idl.epprtk.*;
import org.openrtk.idl.epprtk.domain.*;

import org.w3c.dom.*;
import org.w3c.dom.traversal.*;
import org.apache.xerces.parsers.*;
import org.xml.sax.*;
import org.apache.xerces.dom.*;
import org.apache.xml.serialize.*;

public class SecDNSRem
{
    private int[] ds_key_tags_;

    public void setKeyTag(int value) { setKeyTags(new int[]{value}); }
    public void setKeyTags(int[] value) { ds_key_tags_ = value; }
    public int[] getKeyTags() { return ds_key_tags_; }

    public Element getElement(Document doc) throws epp_XMLException
    {
        if (ds_key_tags_ == null) throw new epp_XMLException("secDNS:update.secDNS:rem missing secDNS:keyTag");

        Element e = doc.createElement("secDNS:rem");
        for (int i = 0; i < ds_key_tags_.length; i++)
        {
            int key_tag = ds_key_tags_[i];
            if (key_tag <= 0) throw new epp_XMLException("secDNS:rem.secDNS:keyTag invalid ("+key_tag+")");
            ExtUtils.addXMLElement(doc, e, "secDNS:keyTag", String.valueOf(key_tag));
        }

        return e;
    }

    public boolean isEmpty() { return ds_key_tags_ == null || ds_key_tags_.length == 0; }
}
